//#region ../../node_modules/.bun/@base-ui+utils@0.2.9+f7941a290aa3d619/node_modules/@base-ui/utils/esm/detectBrowser.js
var e = typeof navigator < "u", t = u(), n = f(), r = d(), i = typeof CSS > "u" || !CSS.supports ? !1 : CSS.supports("-webkit-backdrop-filter:none"), a = t.platform === "MacIntel" && t.maxTouchPoints > 1 ? !0 : /iP(hone|ad|od)|iOS/.test(t.platform);
e && /firefox/i.test(r);
var o = e && /apple/i.test(navigator.vendor);
e && /Edg/i.test(r);
var s = e && /android/i.test(n) || /android/i.test(r), c = e && n.toLowerCase().startsWith("mac") && !navigator.maxTouchPoints, l = r.includes("jsdom/");
function u() {
	if (!e) return {
		platform: "",
		maxTouchPoints: -1
	};
	let t = navigator.userAgentData;
	return t?.platform ? {
		platform: t.platform,
		maxTouchPoints: navigator.maxTouchPoints
	} : {
		platform: navigator.platform ?? "",
		maxTouchPoints: navigator.maxTouchPoints ?? -1
	};
}
function d() {
	if (!e) return "";
	let t = navigator.userAgentData;
	return t && Array.isArray(t.brands) ? t.brands.map(({ brand: e, version: t }) => `${e}/${t}`).join(" ") : navigator.userAgent;
}
function f() {
	if (!e) return "";
	let t = navigator.userAgentData;
	return t?.platform ? t.platform : navigator.platform ?? "";
}
//#endregion
export { o as a, c as i, a as n, i as o, l as r, s as t };
